<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
      lang="de">
<ui:composition template="../templates/template.xhtml">
    <ui:define name="content">
        <h1>View Transaction</h1>
        <h:form id="transactionView">
            <fieldset disabled="disabled">
                <div class="mb-3">
                    <label for="transactionDate" class="form-label">Date</label>
                    <h:inputText validator="${transaction.validate}"
                                 styleClass="#{component.valid ? '' : 'is-invalid'} form-control" id="transactionDate"
                                 a:placeholder="dd/MM/yyyy" value="#{transaction.transactionDate}"
                                 binding="#{transactionDate}"/>
                    <div class="invalid-feedback">
                        <h:message for="transactionDate"/>
                    </div>
                </div>
                <div class="mb-3">
                    <label for="transactionDescription" class="form-label">Description</label>
                    <h:inputText validator="${transaction.validate}" value="#{transaction.transactionDescription}"
                                 styleClass="#{component.valid ? '' : 'is-invalid'} form-control"
                                 id="transactionDescription" binding="#{transactionDescription}"/>
                    <div class="invalid-feedback">
                        <h:message for="transactionDescription"/>
                    </div>
                </div>
                <div class="mb-3">
                    <label for="transactionProjectID" class="form-label">Project</label>
                    <h:selectOneMenu styleClass="#{component.valid ? '' : 'is-invalid'} form-select"
                                     value="#{transaction.projectID}"
                                     validator="${transaction.validate}" id="transactionProjectID" a:list="projectList"
                                     a:placeholder="Type to search..." binding="#{transactionProjectID}">
                        <f:selectItems value="#{project.projectList}" var="p" itemValue="#{p.id}"
                                       itemLabel="#{p.name}"/>
                    </h:selectOneMenu>
                    <div class="invalid-feedback">
                        <h:message for="transactionProjectID"/>
                    </div>
                </div>
                <div class="mb-3">
                    <label for="transactionAmount" class="form-label">Amount</label>
                    <h:inputText validator="${transaction.validate}" value="#{transaction.transactionAmount}"
                                 styleClass="#{component.valid ? '' : 'is-invalid'} form-control" id="transactionAmount"
                                 binding="#{transactionAmount}"/>
                    <div class="invalid-feedback">
                        <h:message for="transactionAmount"/>
                    </div>
                </div>
                <div class="mb-3">
                    <label for="transactionComment" class="form-label">Comment</label>
                    <h:inputText validator="${transaction.validate}" value="#{transaction.transactionComment}"
                                 styleClass="#{component.valid ? '' : 'is-invalid'} form-control"
                                 id="transactionComment"
                                 binding="#{transactionComment}"/>
                    <div class="invalid-feedback">
                        <h:message for="transactionComment"/>
                    </div>
                </div>
            </fieldset>
            <h:button type="button" outcome="#{transaction.redirect}" value="Cancel" styleClass="btn btn-primary"/>
        </h:form>
    </ui:define>
</ui:composition>
</html>
